umbrello: TestUMLObject Class Reference

umbrello 2.38.5 Umbrello UML Modeller is a Unified Modelling Language (UML) diagram program based on KDE Technology

- Main Page
- Related Pages
- Topics
- Namespaces
- Classes
- Files

- Class List
- Class Index
- Class Hierarchy
- Class Members

Private Slots | List of all members
TestUMLObject Class Reference

`#include <testumlobject.h>`

Inheritance diagram for TestUMLObject:

## Private Slots
void | test_copyInto ()
void | test_clone ()
void | test_doc ()
void | test_equal ()
void | test_fullyQualifiedName ()
void | test_isAbstract ()
void | test_isStatic ()
void | test_resolveRef ()
void | test_saveAndLoad ()
void | test_setBaseType ()
void | test_setStereotype ()
void | test_setUMLPackage ()
void | test_setVisibility ()
void | test_toString ()
void | test_dynamic_cast ()
void | test_isUMLXXX ()

## Additional Inherited Members
Public Member Functions inherited from TestBase
| TestBase (QObject *parent=0)
Protected Slots inherited from TestBase
virtual void | initTestCase ()
virtual void | cleanupTestCase ()
virtual void | cleanupOnExit (QObject *p)
Protected Attributes inherited from TestBase
QList< QPointer< QObject > > | m_objectsToDelete

## Member Function Documentation

## ◆ test_clone

void TestUMLObject::test_clone | ( |  | ) |
| privateslot

## ◆ test_copyInto

void TestUMLObject::test_copyInto | ( |  | ) |
| privateslot

## ◆ test_doc

void TestUMLObject::test_doc | ( |  | ) |
| privateslot

## ◆ test_dynamic_cast

void TestUMLObject::test_dynamic_cast | ( |  | ) |
| privateslot

## ◆ test_equal

void TestUMLObject::test_equal | ( |  | ) |
| privateslot

## ◆ test_fullyQualifiedName

void TestUMLObject::test_fullyQualifiedName | ( |  | ) |
| privateslot

## ◆ test_isAbstract

void TestUMLObject::test_isAbstract | ( |  | ) |
| privateslot

## ◆ test_isStatic

void TestUMLObject::test_isStatic | ( |  | ) |
| privateslot

## ◆ test_isUMLXXX

void TestUMLObject::test_isUMLXXX | ( |  | ) |
| privateslot

## ◆ test_resolveRef

void TestUMLObject::test_resolveRef | ( |  | ) |
| privateslot

## ◆ test_saveAndLoad

void TestUMLObject::test_saveAndLoad | ( |  | ) |
| privateslot

## ◆ test_setBaseType

void TestUMLObject::test_setBaseType | ( |  | ) |
| privateslot

## ◆ test_setStereotype

void TestUMLObject::test_setStereotype | ( |  | ) |
| privateslot

## ◆ test_setUMLPackage

void TestUMLObject::test_setUMLPackage | ( |  | ) |
| privateslot

## ◆ test_setVisibility

void TestUMLObject::test_setVisibility | ( |  | ) |
| privateslot

## ◆ test_toString

void TestUMLObject::test_toString | ( |  | ) |
| privateslot

The documentation for this class was generated from the following files:

- unittests/testumlobject.h
- unittests/testumlobject.cpp